Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.sim.gui
Interface NetworkDrawable

All Superinterfaces:
  NonGridDrawable

All Known Implementing Classes:
  OvalNetworkItem, RectNetworkItem, RoundRectNetworkItem

    public interface NetworkDrawable

extends NonGridDrawable

Version:
  $Revision: 1.5 $ $Date: 2004/11/03 19:50:59 $

Method Summary
`void` | `allowResizing(boolean allow)` Sets whether or not this NetworkDrawable will be resized to fit its label.
`void` | `calcSize(SimGraphics g)` Calculates the size of this NetworkDrawable.
`java.awt.Color` | `getBorderColor()` Gets the border color for this NetworkDrawable.
`int` | `getBorderWidth()` Gets the border width for this NetworkDrawable.
`java.awt.Color` | `getColor()` Gets the color of this NetworkDrawable.
`java.awt.Font` | `getFont()` Gets the label font for this NetworkDrawable.
`int` | `getHeight()` Gets the height of this NetworkDrawable.
`java.awt.Color` | `getLabelColor()` Gets label color for this NetworkDrawable.
`int` | `getWidth()` Gets the width of this NetworkDrawable.
`void` | `setBorderColor(java.awt.Color c)` Sets the border color for this NetworkDrawable.
`void` | `setBorderWidth(int width)` Sets the border width for this NetworkDrawable.
`void` | `setColor(java.awt.Color c)` Sets color of this NetworkDrawable.
`void` | `setFont(java.awt.Font font)` Sets the label font for this NetworkDrawable.
`void` | `setHeight(int height)` Sets the height of this NetworkDrawable.
`void` | `setLabel(java.lang.String label)` Sets the label for this NetworkDrawable.
`void` | `setLabelColor(java.awt.Color c)` Sets label color for this NetworkDrawable.
`void` | `setWidth(int width)` Sets the width of this NetworkDrawable.
`void` | `setX(double val)` Sets the X coordinate for the NetworkDrawable.
`void` | `setY(double val)` Sets the Y coordinate for the NetworkDrawable.

Methods inherited from interface uchicago.src.sim.gui.NonGridDrawable
`contains, draw, getX, getY`

Method Detail

### setX

    void setX(double val)

  Sets the X coordinate for the NetworkDrawable.

### setY

    void setY(double val)

  Sets the Y coordinate for the NetworkDrawable.

### calcSize

    void calcSize(SimGraphics g)

  Calculates the size of this NetworkDrawable. This is used to ensure that the NetworkDrawable is large enough to accomodate its label. This method is used internally by RePast.

### setLabel

    void setLabel(java.lang.String label)

  Sets the label for this NetworkDrawable.

### setBorderColor

    void setBorderColor(java.awt.Color c)

  Sets the border color for this NetworkDrawable.

### getBorderColor

    java.awt.Color getBorderColor()

  Gets the border color for this NetworkDrawable.

### setBorderWidth

    void setBorderWidth(int width)

  Sets the border width for this NetworkDrawable.

### getBorderWidth

    int getBorderWidth()

  Gets the border width for this NetworkDrawable.

### setFont

    void setFont(java.awt.Font font)

  Sets the label font for this NetworkDrawable.

### getFont

    java.awt.Font getFont()

  Gets the label font for this NetworkDrawable.

### setLabelColor

    void setLabelColor(java.awt.Color c)

  Sets label color for this NetworkDrawable.

### getLabelColor

    java.awt.Color getLabelColor()

  Gets label color for this NetworkDrawable.

### setColor

    void setColor(java.awt.Color c)

  Sets color of this NetworkDrawable.

### getColor

    java.awt.Color getColor()

  Gets the color of this NetworkDrawable.

### getWidth

    int getWidth()

  Gets the width of this NetworkDrawable.

  Specified by:
    `getWidth` in interface `NonGridDrawable`

### setWidth

    void setWidth(int width)

  Sets the width of this NetworkDrawable.

### getHeight

    int getHeight()

  Gets the height of this NetworkDrawable.

  Specified by:
    `getHeight` in interface `NonGridDrawable`

### setHeight

    void setHeight(int height)

  Sets the height of this NetworkDrawable.

### allowResizing

    void allowResizing(boolean allow)

  Sets whether or not this NetworkDrawable will be resized to fit its label. If this is set to true, any setting of the width or height is ignored.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD